Bug 42601 - New port: devel/openhbci
Summary: New port: devel/openhbci
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-09 18:50 UTC by Heiner Strauss
Modified: 2003-01-08 21:27 UTC (History)
0 users

See Also:


Attachments
file.shar (5.79 KB, text/plain)
2002-09-09 18:50 UTC, Heiner Strauss
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner Strauss 2002-09-09 18:50:01 UTC
OpenHBCI -- the first free client-side implementation of the HBCI
specification.

HBCI is a bank-independent homebanking standard used by many German
banks. This publicly available protocol describes communication,
authentification, encryption, and business transactions taking place
between a homebanking applications and a bank's server. OpenHBCI
provides an object oriented library implementing the current
client-side HBCI specification. The library is written in C++, with C
wrappers also available. OpenHBCI provides the application programmer
with a high-level abstraction of almost all business transactions, so
that all HBCI details are totally encapsulated and do not need to be
bothered with.
Comment 1 Tilman Keskinoz freebsd_committer 2002-11-25 00:19:08 UTC
State Changed
From-To: open->feedback

Hi, OpenHBCI 0.9.2 was released, can you submit an updated port ? 


Comment 2 Tilman Keskinoz freebsd_committer 2002-11-25 00:19:08 UTC
Responsible Changed
From-To: freebsd-ports->arved

This looks like a task for me
Comment 3 Heiner Strauss 2003-01-06 12:22:36 UTC
Hi,
here is the new version as requested. I've  put it in the new category 
finance:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
# 
openhbci
# 
openhbci/files
# 
openhbci/files/patch-aa
# 
openhbci/distinfo
# 
openhbci/pkg-descr
# 
openhbci/pkg-comment
# 
openhbci/pkg-plist
# 
openhbci/Makefile
#
echo c - openhbci
mkdir -p openhbci > /dev/null 2>&1
echo c - openhbci/files
mkdir -p openhbci/files > /dev/null 2>&1
echo x - openhbci/files/patch-aa
sed 's/^X//' >openhbci/files/patch-aa << 'END-of-openhbci/files/patch-aa'
X*** src/openhbci/core/posix/directory.cpp	Mon Sep  9 15:52:41 2002
X***************
X*** 117,123 ****
X
X
X  string Directory::workingDirectory(){
X!     char buffer[PATH_MAX];
X
X      if (!getcwd(buffer,sizeof(buffer)))
X          throw Error("Directory::workingDirectory()",
X--- 117,123 ----
X
X
X  string Directory::workingDirectory(){
X!     char buffer[MAXNAMLEN];
X
X      if (!getcwd(buffer,sizeof(buffer)))
X          throw Error("Directory::workingDirectory()",
X*** src/openhbci/core/posix/inetaddress.h	Mon Sep  9 15:52:41 2002
X***************
X*** 31,38 ****
X  #define C_INEDADDRESS_H
X
X  #include <string>
X- #include <sys/socket.h>
X  #include <sys/types.h>
X  #include <sys/time.h>
X  #include <netinet/in.h>
X  #include <netdb.h>
X--- 31,38 ----
X  #define C_INEDADDRESS_H
X
X  #include <string>
X  #include <sys/types.h>
X+ #include <sys/socket.h>
X  #include <sys/time.h>
X  #include <netinet/in.h>
X  #include <netdb.h>
X*** src/openhbci/core/posix/socket.cpp	Mon Sep  9 15:52:41 2002
X***************
X*** 453,459 ****
X      p=data.c_str();
X      i=data.length();
X      while(i) {
X!         j=send(_sock,p,i,MSG_NOSIGNAL);
X          if (j<=0)
X              return Error("Socket::writeData",
X                               ERROR_LEVEL_NORMAL,
X--- 453,459 ----
X      p=data.c_str();
X      i=data.length();
X      while(i) {
X!         j=send(_sock,p,i,MSG_EOF);
X          if (j<=0)
X              return Error("Socket::writeData",
X                               ERROR_LEVEL_NORMAL,
END-of-openhbci/files/patch-aa
echo x - openhbci/distinfo
sed 's/^X//' >openhbci/distinfo << 'END-of-openhbci/distinfo'
XMD5 (openhbci-0.9.4.tar.gz) = 326e0a021ff3f3db106d00e64d4ee6ae
END-of-openhbci/distinfo
echo x - openhbci/pkg-descr
sed 's/^X//' >openhbci/pkg-descr << 'END-of-openhbci/pkg-descr'
XOpenHBCI -- the first free client-side implementation of the HBCI
Xspecification.
X
XHBCI is a bank-independent homebanking standard used by many German
Xbanks. This publicly available protocol describes communication,
Xauthentification, encryption, and business transactions taking place
Xbetween a homebanking applications and a bank's server. OpenHBCI
Xprovides an object oriented library implementing the current
Xclient-side HBCI specification. The library is written in C++, with C
Xwrappers also available. OpenHBCI provides the application programmer
Xwith a high-level abstraction of almost all business transactions, so
Xthat all HBCI details are totally encapsulated and do not need to be
Xbothered with.
END-of-openhbci/pkg-descr
echo x - openhbci/pkg-comment
sed 's/^X//' >openhbci/pkg-comment << 'END-of-openhbci/pkg-comment'
XHBCI is a bank-independent homebanking standard
END-of-openhbci/pkg-comment
echo x - openhbci/pkg-plist
sed 's/^X//' >openhbci/pkg-plist << 'END-of-openhbci/pkg-plist'
Xinclude/openhbci/abstracttrans.h
Xinclude/openhbci/account.h
Xinclude/openhbci/accountparams.h
Xinclude/openhbci/adminjobs.h
Xinclude/openhbci/auth.h
Xinclude/openhbci/balance.h
Xinclude/openhbci/bank.h
Xinclude/openhbci/bankparams.h
Xinclude/openhbci/bpdjob.h
Xinclude/openhbci/connection.h
Xinclude/openhbci/cryptkey.h
Xinclude/openhbci/customer.h
Xinclude/openhbci/date.h
Xinclude/openhbci/datetime.h
Xinclude/openhbci/directory.h
Xinclude/openhbci/dllimport.h
Xinclude/openhbci/error.h
Xinclude/openhbci/file.h
Xinclude/openhbci/hbci.h
Xinclude/openhbci/hbcistring.h
Xinclude/openhbci/hbcistringlist.h
Xinclude/openhbci/inetaddress.h
Xinclude/openhbci/interactor.h
Xinclude/openhbci/job.h
Xinclude/openhbci/interactorcb.h
Xinclude/openhbci/listwrappers.h
Xinclude/openhbci/medium.h
Xinclude/openhbci/mediumddv.h
Xinclude/openhbci/mediumkeyfile.h
Xinclude/openhbci/mediumrdhbase.h
Xinclude/openhbci/messagequeue.h
Xinclude/openhbci/pointer.h
Xinclude/openhbci/rsakey.h
Xinclude/openhbci/socket.h
Xinclude/openhbci/standingorder.h
Xbin/i386-portbld-freebsd4.6-cmoney
Xbin/i386-portbld-freebsd4.6-rdhconverter
Xbin/openhbci-config
Xlib/libopenhbci.so.4
Xlib/libopenhbci.so
Xlib/libopenhbci.la
Xlib/libopenhbci.a
Xshare/aclocal/openhbci.m4
Xinclude/openhbci/transaction.h
Xinclude/openhbci/updjob.h
Xinclude/openhbci/user.h
Xinclude/openhbci/userparams.h
Xinclude/openhbci/value.h
Xinclude/openhbci/tree.h
Xinclude/openhbci/conf.h
Xinclude/openhbci/simpleconfig.h
Xinclude/openhbci/loader.h
Xinclude/openhbci/outbox.h
Xinclude/openhbci/outboxjob.h
Xinclude/openhbci/outboxjobs.h
Xinclude/openhbci/outboxjobkeys.h
Xinclude/openhbci/outboxaccjobs.h
Xinclude/openhbci/outboxstojobs.h
Xinclude/openhbci/api.h
Xinclude/openhbci/cmdlineoptions.h
Xinclude/openhbci/filestream.h
Xinclude/openhbci/parser.h
Xinclude/openhbci/stream.h
Xinclude/openhbci/progressmonitor.h
Xinclude/openhbci/progressmonitorcb.h
X@dirrm include/openhbci
END-of-openhbci/pkg-plist
echo x - openhbci/Makefile
sed 's/^X//' >openhbci/Makefile << 'END-of-openhbci/Makefile'
X# Ports collection makefile for:	openhbci
X# Date created:				Jan 3, 2003
X# Whom:		 
		Heiner Strauss <heiner@bilch.com>
X#
X# $FreeBSD$
X
XPORTNAME= 
	openhbci
XPORTVERSION= 
	0.9.4
XCATEGORIES= 
	finance
XMASTER_SITES= 
	http://switch.dl.sourceforge.net/sourceforge/openhbci/
X
XMAINTAINER= 
	heiner@bilch.com
X
XGNU_CONFIGURE= 
	yes
XCONFIGURE_ENV+= 
	CXXFLAGS=-pedantic
X
X.include <bsd.port.mk>
END-of-openhbci/Makefile
exit

-- 
Heiner Strauss	heiner@bilch.com        Bilch International Consulting
www.bilch.com                           Hamburg
Markusstrasse 4
20355 Hamburg                           Tel.: +49 40 3480667
Comment 4 Tilman Keskinoz freebsd_committer 2003-01-08 21:27:00 UTC
State Changed
From-To: feedback->closed

Committed, thanks.